# CapStormPlatformDatabase

## *CapStormPlatformDatabase* Table

The *CapStormPlatformDatabase* table stores metadata and connection information for databases registered with the application. Each record represents a distinct database environment, including its type, intended usage, and configuration details.

The following table describes each field in the *CapStormPlatformDatabase* table:

| Column Name     | Data Type | Required | Description                                                                                              |
| --------------- | --------- | -------- | -------------------------------------------------------------------------------------------------------- |
| name            | varchar   | Yes      | A unique name for the record describing the database.                                                    |
| databaseName    | varchar   | Yes      | The name of the database in the database server.                                                         |
| description     | varchar   | Yes      | A description of the database configured.                                                                |
| preventDeletion | boolean   | Yes      | True if the database can be deleted by the application, otherwise false.                                 |
| databaseType    | varchar   | Yes      | The type of database being used. Acceptable values include: ‘PostgreSQL’, ‘Oracle’, ‘MySQL’, ‘SQLServer’ |
| databaseUsage   | varchar   | Yes      | How the database is utilized, i.e. CopyStorm, Tracker                                                    |
| connectionModel | varchar   | Yes      | The XML formatted connection information for the target database.                                        |
| iscustom        | boolean   | Yes      | True if the database was created outside of the application, otherwise false.                            |
| createdDate     | datetime  | Yes      | The date and time when the record was created in the database.                                           |
| modifiedDate    | datetime  | Yes      | The date and time when the record was last modified in the database.                                     |
| lastModifiedBy  | varchar   | Yes      | The user who last modified the record in the database.                                                   |
| createdBy       | varchar   | Yes      | The user who created the record in the database.                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/capstormplatformdatabase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
